<?php 					  
	session_start();
	if (!(isset($_SESSION['myusername']) && $_SESSION['myusername'] != '')) {
		header("location:main_login.php");
	}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link   href="css/bootstrap.min.css" rel="stylesheet">
    <script src="js/bootstrap.min.js"></script>
	    <script>
	     function getTime()
	    {
	    var d = new Date();
	    var c_hour = d.getHours();
	    var c_min = d.getMinutes();
	    var c_sec = d.getSeconds();
	    var t = c_hour + ":" + c_min + ":" + c_sec;
	    return t;
	    }
	    function getDate()
	    {
	    var d = new Date();
	    return d;
	    }
            </script>
</head>

<body>
    <div class="container">
    		<div class="row">
    			<h3>Prayer Times</h3>
				<A HREF ="Logout.php">Log out</A>
    		</div>
			<div class="row">
			    <a class="btn" href="index.php?monthno=1">January</a>
				<a class="btn" href="index.php?monthno=2">February</a>
				<a class="btn" href="index.php?monthno=3">March</a>
				<a class="btn" href="index.php?monthno=4">April</a>
				<a class="btn" href="index.php?monthno=5">May</a>
				<a class="btn" href="index.php?monthno=6">June</a>
				<a class="btn" href="index.php?monthno=7">July</a>
				<a class="btn" href="index.php?monthno=8">August</a>
				<a class="btn" href="index.php?monthno=9">September</a>
				<a class="btn" href="index.php?monthno=10">October</a>
				<a class="btn" href="index.php?monthno=11">November</a>
				<a class="btn" href="index.php?monthno=12">December</a>
			</div><br />
			<div class="row">
								
				<table class="table table-striped table-bordered">
		              <thead>
		                <tr>
						  <th>Action</th>
		                  <th>MonthNo</th>
		                  <th>DayNo</th>
		                  <th>Sehri</th>
		                  <th>Fajar</th>
		                  <th>Sunrise</th>
		                  <th>Zohar</th>
		                  <th>Asar</th>
		                  <th>Magrib</th>
		                  <th>Isha</th>
		                  <th>FajarStart</th>
		                  <th>ZoharStart</th>
		                  <th>AsarStart</th>
		                  <th>MagribStart</th>
		                  <th>IshaStart</th>
		                  <th>Jumma</th>
		                </tr>
		              </thead>
		              <tbody>
		              <?php
					  
					  
					   include ("Utility.php");
					   include 'database.php';
					   $monthno = null;
					   if (!empty($_GET['monthno'])) {
						 $monthno = $_REQUEST['monthno'];
					   }
					   else
					   {
						 $monthno = date('m');
					   }
					   
					   $currdayno = date('d');
					   $currmonthno = date('m');
					   $currdayno = ltrim($currdayno , '0');
					   $currmonthno = ltrim($currmonthno , '0');
					   
					   $pdo = Database::connect();
					   $sql = "SELECT MonthNo, DayNo, DATE_FORMAT(Sehri,'%H:%i') As Sehri"
					            .", DATE_FORMAT(Fajar,'%H:%i') As Fajar"
								.", DATE_FORMAT(Sunrise,'%H:%i') As Sunrise"
								.", DATE_FORMAT(Zohar,'%H:%i') As Zohar"
								.", DATE_FORMAT(Asar,'%H:%i') As Asar"
								.", DATE_FORMAT(Magrib,'%H:%i') As Magrib"
								.", DATE_FORMAT(Isha,'%H:%i') As Isha"
								.", DATE_FORMAT(FajarStart,'%H:%i') As FajarStart"
								.", DATE_FORMAT(ZoharStart,'%H:%i') As ZoharStart"
								.", DATE_FORMAT(AsarStart,'%H:%i') As AsarStart"
								.", DATE_FORMAT(MagribStart,'%H:%i') As MagribStart"
								.", DATE_FORMAT(IshaStart,'%H:%i') As IshaStart"
								.", DATE_FORMAT(Jumma,'%H:%i') As Jumma"
								." FROM PrayerTimes WHERE MonthNo=".$monthno." ORDER BY MonthNo,DayNo ASC";
								//echo $sql;
					   $monthno = null;	
					   
	 				   foreach ($pdo->query($sql) as $row) {
						   		if ($row['MonthNo']==$currmonthno and $currdayno==$row['DayNo'])
	 				   			{
		 				   			echo '<tr bgcolor="#00ff00">';
						   		}
						   		else
						   		{
						   			echo '<tr bgcolor="#ffffff">';
						   		}
								echo '<td width=250>';
								/*
							   	echo '<a class="btn" href="read.php?monthno='.$row['MonthNo'].'&dayno='.$row['DayNo'].'">Read</a>';
								*/
								echo '<a class="btn btn-success" href="update2.php?monthno='.$row['MonthNo'].'&dayno='.$row['DayNo'].'">Update2</a>';
								
								echo '<a class="btn btn-success" href="update4.php?monthno='.$row['MonthNo'].'&dayno='.$row['DayNo'].'">Update4</a>';
								
							   	echo '<a class="btn btn-success" href="update.php?monthno='.$row['MonthNo'].'&dayno='.$row['DayNo'].'">Update</a>';
							   	echo '</td>';
								$monthName = Utility::getMonthName($row['MonthNo']);
							   	echo '<td>'. $monthName . '</td>';
							   	echo '<td>'. $row['DayNo'] . '</td>';
							   	echo '<td>'. $row['Sehri'] . '</td>';
								echo '<td>'. $row['Fajar'] . '</td>';
								echo '<td>'. $row['Sunrise'] . '</td>';
								echo '<td>'. $row['Zohar'] . '</td>';
								echo '<td>'. $row['Asar'] . '</td>';
								echo '<td>'. $row['Magrib'] . '</td>';
								echo '<td>'. $row['Isha'] . '</td>';
								echo '<td>'. $row['FajarStart'] . '</td>';
								echo '<td>'. $row['ZoharStart'] . '</td>';
								echo '<td>'. $row['AsarStart'] . '</td>';
								echo '<td>'. $row['MagribStart'] . '</td>';
								echo '<td>'. $row['IshaStart'] . '</td>';
								echo '<td>'. $row['Jumma'] . '</td>';
							   	
							   	echo '</tr>';
					   }
					   Database::disconnect();
					  ?>
				      </tbody>
	            </table>
    	</div>
    </div> <!-- /container -->
  </body>
</html>