<?php					  
	session_start();
	if (!(isset($_SESSION['myusername']) && $_SESSION['myusername'] != '')) {
		header("location:main_login.php");
	}

	
	require 'database.php';
	include ("Utility.php");
	
	date_default_timezone_set('Europe/London');

	$monthno = null;
	$dayno = null;
	if ( !empty($_GET['monthno'])) {
		$monthno = $_REQUEST['monthno'];
		$dayno = $_REQUEST['dayno'];
	}
	
	if ( null==$monthno ) {
		header("Location: index.php");
	}
	
	if ( !empty($_POST)) {
		// keep track validation errors
		$sehriError = null;
		$fajarError = null;
		$sunriseError = null;
		$zoharError = null;
		$asarError = null;
		$magribError = null;
		$ishaError = null;
		$fajarStartError = null;
		$zoharStartError = null;
		$asarStartError = null;
		$magribStartError = null;
		$ishaStartError = null;
		$jumma = null;
		
		// keep track post values
		$sehri = $_POST['sehri'];
		$fajar = $_POST['fajar'];
		$sunrise = $_POST['sunrise'];
		$zohar = $_POST['zohar'];
		$asar = $_POST['asar'];
		$magrib = $_POST['magrib'];
		$isha = $_POST['isha'];
		$fajarstart = $_POST['fajarstart'];
		$zoharstart = $_POST['zoharstart'];
		$asarstart = $_POST['asarstart'];
		$magribstart = $_POST['magribstart'];
		$ishastart = $_POST['ishastart'];
		$jumma = $_POST['jumma'];
		
		// validate input
		$valid = true;
		if (empty($sehri)) {
			$sehriError = 'Please enter sehri';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($sehri))
			{
				$sehriError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($fajar)) {
			$fajarError = 'Please enter fajar';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($fajar))
			{
				$fajarError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($sunrise)) {
			$sunriseError = 'Please enter sunrise';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($sunrise))
			{
				$sunriseError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($zohar)) {
			$zoharError = 'Please enter zohar';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($zohar))
			{
				$zoharError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($asar)) {
			$asarError = 'Please enter asar';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($asar))
			{
				$asarError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($magrib)) {
			$magribError = 'Please enter magrib';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($magrib))
			{
				$magribError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($isha)) {
			$ishaError = 'Please enter isha';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($isha))
			{
				$ishaError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($fajarstart)) {
			$fajarStartError = 'Please enter fajar start time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($fajarstart))
			{
				$fajarStartError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($zoharstart)) {
			$zoharStartError = 'Please enter zohar start time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($zoharstart))
			{
				$zoharStartError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($asarstart)) {
			$asarStartError = 'Please enter asar start time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($asarstart))
			{
				$asarStartError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($magribstart)) {
			$magribStartError = 'Please enter magrib start time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($magribstart))
			{
				$magribStartError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($ishastart)) {
			$ishaStartError = 'Please enter isha start time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($ishastart))
			{
				$ishaStartError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		if (empty($jumma)) {
			$jummaError = 'Please enter jumma time';
			$valid = false;
		}
		else
		{
			if (!Utility::check_time($jumma))
			{
				$jummaError = 'Time is not valid';
				$valid  = false;
			}
		}
		
		// update data
		if ($valid) {
		
			//date_default_timezone_set('Europe/London');
		
			$sehri = date("H:i", strtotime($sehri));
			$fajar = date("H:i", strtotime($fajar));
			$sunrise = date("H:i", strtotime($sunrise));
			$zohar = date("H:i", strtotime($zohar));
			$asar = date("H:i", strtotime($asar));
			$magrib = date("H:i", strtotime($magrib));
			$isha = date("H:i", strtotime($isha));
			$fajarstart = date("H:i", strtotime($fajarstart));
			$zoharstart = date("H:i", strtotime($zoharstart));
			$asarstart = date("H:i", strtotime($asarstart));
			$magribstart = date("H:i", strtotime($magribstart));
			$ishastart = date("H:i", strtotime($ishastart));
			$jumma = date("H:i", strtotime($jumma));
			
			$timestamp = date("Y-m-d H:i:s", time());
			//echo $timestamp;
			
		
			$pdo = Database::connect();			
			$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);			
			$sql = "UPDATE PrayerTimes  set Sehri = ?, Fajar = ?, Sunrise =?, Zohar =?, Asar =?, Magrib =?, Isha =?, FajarStart =?, ZoharStart =?, AsarStart =?, MagribStart =?, IshaStart =?, Jumma =?, dateUpdated =? WHERE MonthNo = ? AND DayNo = ?";
			$q = $pdo->prepare($sql);
			$q->execute(array($sehri,$fajar,$sunrise,$zohar,$asar,$magrib,$isha,$fajarstart,$zoharstart,$asarstart,$magribstart,$ishastart,$jumma,$timestamp,$monthno,$dayno));
			Database::disconnect();
			header("Location: index.php");
		}
	} else {
		$pdo = Database::connect();
		$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$sql = "SELECT MonthNo, DayNo, DATE_FORMAT(Sehri,'%H:%i') As Sehri"
					            .", DATE_FORMAT(Fajar,'%H:%i') As Fajar"
								.", DATE_FORMAT(Sunrise,'%H:%i') As Sunrise"
								.", DATE_FORMAT(Zohar,'%H:%i') As Zohar"
								.", DATE_FORMAT(Asar,'%H:%i') As Asar"
								.", DATE_FORMAT(Magrib,'%H:%i') As Magrib"
								.", DATE_FORMAT(Isha,'%H:%i') As Isha"
								.", DATE_FORMAT(FajarStart,'%H:%i') As FajarStart"
								.", DATE_FORMAT(ZoharStart,'%H:%i') As ZoharStart"
								.", DATE_FORMAT(AsarStart,'%H:%i') As AsarStart"
								.", DATE_FORMAT(MagribStart,'%H:%i') As MagribStart"
								.", DATE_FORMAT(IshaStart,'%H:%i') As IshaStart"
								.", DATE_FORMAT(Jumma,'%H:%i') As Jumma"
								." FROM PrayerTimes where MonthNo = ? AND DayNo = ?";
		$q = $pdo->prepare($sql);
		$q->execute(array($monthno,$dayno));
		$data = $q->fetch(PDO::FETCH_ASSOC);
		$sehri = $data['Sehri'];
		$fajar = $data['Fajar'];
		$sunrise = $data['Sunrise'];
		$zohar = $data['Zohar'];
		$asar = $data['Asar'];
		$magrib = $data['Magrib'];
		$isha = $data['Isha'];
		$fajarstart = $data['FajarStart'];
		$zoharstart = $data['ZoharStart'];
		$asarstart = $data['AsarStart'];
		$magribstart = $data['MagribStart'];
		$ishastart = $data['IshaStart'];
		$jumma = $data['Jumma'];
		Database::disconnect();
	}
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link   href="css/bootstrap.min.css" rel="stylesheet">
    <script src="js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
    
    			<div class="span10 offset1">
    				<div class="row">
		    			<h3>Update Time for <?php echo Utility::getMonthName($monthno)." ".$dayno;?></h3>
						<A HREF ="Logout.php">Log out</A>
		    		</div>
    		
	    			<form class="form-horizontal" action="update.php?monthno=<?php echo $monthno?>&dayno=<?php echo $dayno?>" method="post">
					  <div class="control-group <?php echo !empty($sehriError)?'error':'';?>">
					    <label class="control-label">Sehri</label>
					    <div class="controls">
					      	<input name="sehri" type="text"  placeholder="Sehri" value="<?php echo !empty($sehri)?$sehri:'';?>">
					      	<?php if (!empty($sehriError)): ?>
					      		<span class="help-inline"><?php echo $sehriError;?></span>
					      	<?php endif; ?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($fajarError)?'error':'';?>">
					    <label class="control-label">Fajar</label>
					    <div class="controls">
					      	<input name="fajar" type="text" placeholder="Fajar" value="<?php echo !empty($fajar)?$fajar:'';?>">
					      	<?php if (!empty($fajarError)): ?>
					      		<span class="help-inline"><?php echo $fajarError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($sunriseError)?'error':'';?>">
					    <label class="control-label">Sunrise</label>
					    <div class="controls">
					      	<input name="sunrise" type="text"  placeholder="Sunrise" value="<?php echo !empty($sunrise)?$sunrise:'';?>">
					      	<?php if (!empty($sunriseError)): ?>
					      		<span class="help-inline"><?php echo $sunriseError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($zoharError)?'error':'';?>">
					    <label class="control-label">Zohar</label>
					    <div class="controls">
					      	<input name="zohar" type="text"  placeholder="Zohar" value="<?php echo !empty($zohar)?$zohar:'';?>">
					      	<?php if (!empty($zoharError)): ?>
					      		<span class="help-inline"><?php echo $zoharError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($asarError)?'error':'';?>">
					    <label class="control-label">Asar</label>
					    <div class="controls">
					      	<input name="asar" type="text"  placeholder="Asar" value="<?php echo !empty($asar)?$asar:'';?>">
					      	<?php if (!empty($asarError)): ?>
					      		<span class="help-inline"><?php echo $asarError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($magribError)?'error':'';?>">
					    <label class="control-label">Magrib</label>
					    <div class="controls">
					      	<input name="magrib" type="text"  placeholder="Magrib" value="<?php echo !empty($magrib)?$magrib:'';?>">
					      	<?php if (!empty($magribError)): ?>
					      		<span class="help-inline"><?php echo $magribError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($ishaError)?'error':'';?>">
					    <label class="control-label">Isha</label>
					    <div class="controls">
					      	<input name="isha" type="text"  placeholder="Isha" value="<?php echo !empty($isha)?$isha:'';?>">
					      	<?php if (!empty($ishaError)): ?>
					      		<span class="help-inline"><?php echo $ishaError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($fajarStartError)?'error':'';?>">
					    <label class="control-label">Fajar Start</label>
					    <div class="controls">
					      	<input name="fajarstart" type="text"  placeholder="Fajar Start" value="<?php echo !empty($fajarstart)?$fajarstart:'';?>">
					      	<?php if (!empty($fajarStartError)): ?>
					      		<span class="help-inline"><?php echo $fajarStartError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($zoharStartError)?'error':'';?>">
					    <label class="control-label">Zohar Start</label>
					    <div class="controls">
					      	<input name="zoharstart" type="text"  placeholder="Zohar Start" value="<?php echo !empty($zoharstart)?$zoharstart:'';?>">
					      	<?php if (!empty($zoharStartError)): ?>
					      		<span class="help-inline"><?php echo $zoharStartError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($asarStartError)?'error':'';?>">
					    <label class="control-label">Asar Start</label>
					    <div class="controls">
					      	<input name="asarstart" type="text"  placeholder="Asar Start" value="<?php echo !empty($asarstart)?$asarstart:'';?>">
					      	<?php if (!empty($asarStartError)): ?>
					      		<span class="help-inline"><?php echo $asarStartError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($magribStartError)?'error':'';?>">
					    <label class="control-label">Magrib Start</label>
					    <div class="controls">
					      	<input name="magribstart" type="text"  placeholder="Magrib Start" value="<?php echo !empty($magribstart)?$magribstart:'';?>">
					      	<?php if (!empty($magribStartError)): ?>
					      		<span class="help-inline"><?php echo $magribStartError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($ishaStartError)?'error':'';?>">
					    <label class="control-label">Isha Start</label>
					    <div class="controls">
					      	<input name="ishastart" type="text"  placeholder="Isha Start" value="<?php echo !empty($ishastart)?$ishastart:'';?>">
					      	<?php if (!empty($ishaStartError)): ?>
					      		<span class="help-inline"><?php echo $ishaStartError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="control-group <?php echo !empty($jummaError)?'error':'';?>">
					    <label class="control-label">Jumma</label>
					    <div class="controls">
					      	<input name="jumma" type="text"  placeholder="Jumma" value="<?php echo !empty($jumma)?$jumma:'';?>">
					      	<?php if (!empty($jummaError)): ?>
					      		<span class="help-inline"><?php echo $jummaError;?></span>
					      	<?php endif;?>
					    </div>
					  </div>
					  <div class="form-actions">
						  <button type="submit" class="btn btn-success">Update</button>
						  <a class="btn" href="index.php">Back</a>
						</div>
					</form>
				</div>
				
    </div> <!-- /container -->
  </body>
</html>