<?php 
	require 'database.php';
	$monthno = null;
	$dayno = null;
	if ( !empty($_GET['monthno'])) {
		$monthno = $_REQUEST['monthno'];
		$dayno = $_REQUEST['dayno'];
	}
	
	if ( null==$monthno ) {
		header("Location: index.php");
	} else {
		$pdo = Database::connect();
		$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$sql = "SELECT * FROM PrayerTimes where MonthNo = ? and DayNo = ?";
		$q = $pdo->prepare($sql);
		$q->execute(array($monthno,$dayno));
		$data = $q->fetch(PDO::FETCH_ASSOC);
		Database::disconnect();
	}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link   href="css/bootstrap.min.css" rel="stylesheet">
    <script src="js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
    
    			<div class="span10 offset1">
    				<div class="row">
		    			<h3>Read prayer time for Month:<?php echo $data['MonthNo']." Day:".$data['DayNo'];?></h3>
		    		</div>
		    		
	    			<div class="form-horizontal" >
					  <div class="control-group">
					    <label class="control-label">Sehri</label>
					    <div class="controls">
						    <label class="checkbox">
						     	<?php echo $data['Sehri'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Fajar</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Fajar'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Sunrise</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Sunrise'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Zohar</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Zohar'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Asar</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Asar'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Magrib</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Magrib'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Isha</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Isha'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Fajar Start</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['FajarStart'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Zohar Start</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['ZoharStart'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Asar Start</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['AsarStart'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Magrib Start</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['MagribStart'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Isha Start</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['IshaStart'];?>
						    </label>
					    </div>
					  </div>
					  <div class="control-group">
					    <label class="control-label">Jumma</label>
					    <div class="controls">
					      	<label class="checkbox">
						     	<?php echo $data['Jumma'];?>
						    </label>
					    </div>
					  </div>
					    <div class="form-actions">
						  <a class="btn" href="index.php">Back</a>
					   </div>
					
					 
					</div>
				</div>
				
    </div> <!-- /container -->
  </body>
</html>